! ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
!
! Parameter Module File
!
! Generated by KPP-2.2.3 symbolic chemistry Kinetics PreProcessor
!       (http://www.cs.vt.edu/~asandu/Software/KPP)
! KPP is distributed under GPL, the general public licence
!       (http://www.gnu.org/copyleft/gpl.html)
! (C) 1995-1997, V. Damian & A. Sandu, CGRER, Univ. Iowa
! (C) 1997-2005, A. Sandu, Michigan Tech, Virginia Tech
!     With important contributions from:
!        M. Damian, Villanova University, USA
!        R. Sander, Max-Planck Institute for Chemistry, Mainz, Germany
!
! File                 : saprc99ros_Parameters.f90
! Time                 : Mon Feb  9 17:20:52 2015
! Working directory    :
! Equation file        : saprc99ros.kpp
! Output root filename : saprc99ros
!
! ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~



MODULE saprc99ros_Parameters

  USE saprc99ros_Precision
  PUBLIC
  SAVE


! NSPEC - Number of chemical species
  INTEGER, PARAMETER :: NSPEC = 79
! NVAR - Number of Variable species
  INTEGER, PARAMETER :: NVAR = 74
! NVARACT - Number of Active species
  INTEGER, PARAMETER :: NVARACT = 66
! NFIX - Number of Fixed species
  INTEGER, PARAMETER :: NFIX = 5
! NREACTKPP - Number of reactions
  INTEGER, PARAMETER :: NREACTKPP = 211
! NVARST - Starting of variables in conc. vect.
  INTEGER, PARAMETER :: NVARST = 1
! NFIXST - Starting of fixed in conc. vect.
  INTEGER, PARAMETER :: NFIXST = 75
! NONZERO - Number of nonzero entries in Jacobian
  INTEGER, PARAMETER :: NONZERO = 839
! LU_NONZERO - Number of nonzero entries in LU factoriz. of Jacobian
  INTEGER, PARAMETER :: LU_NONZERO = 920
! CNVAR - (NVAR+1) Number of elements in compressed row format
  INTEGER, PARAMETER :: CNVAR = 75
! CNEQN - (NREACTKPP+1) Number stoicm elements in compressed col format
  INTEGER, PARAMETER :: CNEQN = 212
! NHESS - Length of Sparse Hessian
  INTEGER, PARAMETER :: NHESS = 848
! NLOOKAT - Number of species to look at
  INTEGER, PARAMETER :: NLOOKAT = 79
! NMONITOR - Number of species to monitor
  INTEGER, PARAMETER :: NMONITOR = 4
! NMASS - Number of atoms to check mass balance
  INTEGER, PARAMETER :: NMASS = 1

! Index declaration for variable species in C and VAR
!   VAR(ind_spc) = C(ind_spc)

  INTEGER, PARAMETER :: ind_H2SO4 = 1
  INTEGER, PARAMETER :: ind_HCOOH = 2
  INTEGER, PARAMETER :: ind_CCO_OH = 3
  INTEGER, PARAMETER :: ind_RCO_OH = 4
  INTEGER, PARAMETER :: ind_CCO_OOH = 5
  INTEGER, PARAMETER :: ind_RCO_OOH = 6
  INTEGER, PARAMETER :: ind_XN = 7
  INTEGER, PARAMETER :: ind_XC = 8
  INTEGER, PARAMETER :: ind_SO2 = 9
  INTEGER, PARAMETER :: ind_O1D = 10
  INTEGER, PARAMETER :: ind_ALK1 = 11
  INTEGER, PARAMETER :: ind_BACL = 12
  INTEGER, PARAMETER :: ind_PAN = 13
  INTEGER, PARAMETER :: ind_PAN2 = 14
  INTEGER, PARAMETER :: ind_PBZN = 15
  INTEGER, PARAMETER :: ind_MA_PAN = 16
  INTEGER, PARAMETER :: ind_H2O2 = 17
  INTEGER, PARAMETER :: ind_N2O5 = 18
  INTEGER, PARAMETER :: ind_HONO = 19
  INTEGER, PARAMETER :: ind_ALK2 = 20
  INTEGER, PARAMETER :: ind_ALK3 = 21
  INTEGER, PARAMETER :: ind_TBU_O = 22
  INTEGER, PARAMETER :: ind_ALK5 = 23
  INTEGER, PARAMETER :: ind_ARO2 = 24
  INTEGER, PARAMETER :: ind_HNO4 = 25
  INTEGER, PARAMETER :: ind_COOH = 26
  INTEGER, PARAMETER :: ind_HOCOO = 27
  INTEGER, PARAMETER :: ind_BZNO2_O = 28
  INTEGER, PARAMETER :: ind_MEOH = 29
  INTEGER, PARAMETER :: ind_ALK4 = 30
  INTEGER, PARAMETER :: ind_ARO1 = 31
  INTEGER, PARAMETER :: ind_DCB2 = 32
  INTEGER, PARAMETER :: ind_DCB3 = 33
  INTEGER, PARAMETER :: ind_CRES = 34
  INTEGER, PARAMETER :: ind_DCB1 = 35
  INTEGER, PARAMETER :: ind_NPHE = 36
  INTEGER, PARAMETER :: ind_ROOH = 37
  INTEGER, PARAMETER :: ind_BALD = 38
  INTEGER, PARAMETER :: ind_PHEN = 39
  INTEGER, PARAMETER :: ind_CO = 40
  INTEGER, PARAMETER :: ind_MGLY = 41
  INTEGER, PARAMETER :: ind_ACET = 42
  INTEGER, PARAMETER :: ind_HNO3 = 43
  INTEGER, PARAMETER :: ind_ETHENE = 44
  INTEGER, PARAMETER :: ind_GLY = 45
  INTEGER, PARAMETER :: ind_BZ_O = 46
  INTEGER, PARAMETER :: ind_ISOPRENE = 47
  INTEGER, PARAMETER :: ind_R2O2 = 48
  INTEGER, PARAMETER :: ind_TERP = 49
  INTEGER, PARAMETER :: ind_METHACRO = 50
  INTEGER, PARAMETER :: ind_OLE1 = 51
  INTEGER, PARAMETER :: ind_ISOPROD = 52
  INTEGER, PARAMETER :: ind_OLE2 = 53
  INTEGER, PARAMETER :: ind_MVK = 54
  INTEGER, PARAMETER :: ind_CCHO = 55
  INTEGER, PARAMETER :: ind_HCHO = 56
  INTEGER, PARAMETER :: ind_RNO3 = 57
  INTEGER, PARAMETER :: ind_O3P = 58
  INTEGER, PARAMETER :: ind_RCHO = 59
  INTEGER, PARAMETER :: ind_MEK = 60
  INTEGER, PARAMETER :: ind_PROD2 = 61
  INTEGER, PARAMETER :: ind_O3 = 62
  INTEGER, PARAMETER :: ind_HO2 = 63
  INTEGER, PARAMETER :: ind_RO2_N = 64
  INTEGER, PARAMETER :: ind_MA_RCO3 = 65
  INTEGER, PARAMETER :: ind_C_O2 = 66
  INTEGER, PARAMETER :: ind_BZCO_O2 = 67
  INTEGER, PARAMETER :: ind_RO2_R = 68
  INTEGER, PARAMETER :: ind_NO = 69
  INTEGER, PARAMETER :: ind_NO2 = 70
  INTEGER, PARAMETER :: ind_NO3 = 71
  INTEGER, PARAMETER :: ind_CCO_O2 = 72
  INTEGER, PARAMETER :: ind_RCO_O2 = 73
  INTEGER, PARAMETER :: ind_OH = 74

! Index declaration for fixed species in C
!   C(ind_spc)

  INTEGER, PARAMETER :: ind_AIR = 75
  INTEGER, PARAMETER :: ind_O2 = 76
  INTEGER, PARAMETER :: ind_H2O = 77
  INTEGER, PARAMETER :: ind_H2 = 78
  INTEGER, PARAMETER :: ind_CH4 = 79

! Index declaration for fixed species in FIX
!    FIX(indf_spc) = C(ind_spc) = C(NVAR+indf_spc)

  INTEGER, PARAMETER :: indf_AIR = 1
  INTEGER, PARAMETER :: indf_O2 = 2
  INTEGER, PARAMETER :: indf_H2O = 3
  INTEGER, PARAMETER :: indf_H2 = 4
  INTEGER, PARAMETER :: indf_CH4 = 5

! NJVRP - Length of sparse Jacobian JVRP
  INTEGER, PARAMETER :: NJVRP = 363

! NSTOICM - Length of Sparse Stoichiometric Matrix
  INTEGER, PARAMETER :: NSTOICM = 1024

END MODULE saprc99ros_Parameters
